#!/usr/bin/perl

# Verify that the Config.pm values were updated from the
# actual build process.  Quick placeholder tests for now.
# Eventually need to check that the configuration matches
# the result of use_ok or some such.

use Test::More;
plan 'no_plan';

use_ok( 'PDLA::Config' );

TODO: {
   # This is Known_problems bug sf.net #3030998
   # PDLA::Config does not match actual build configuration
   local $TODO = 'Known_problem sf.net bug #3030998' if ($PDLA::Config{SKIP_KNOWN_PROBLEMS} or exists $ENV{SKIP_KNOWN_PROBLEMS} );
   
   # generate list of WITH_* keys from PDLA::Config
   my @keys = grep { /^WITH_/ } keys %PDLA::Config;
   foreach my $key ( @keys ) {
      # there should be no undef values
      ok( defined $PDLA::Config{$key} , "check $key in Config.pm" );
   }
}

# done_testing();
